/**
 *	mnmld-themes.js
 *	
 * 	The main javascript file that loads essential js functions.
 *	
 * 	@version 1.0.0
 *	@since	 1.0.0
 *	@package mnmld-themes
 *	@author	 mnmld
 *
 **/
 
/**
 * Share Buttons
 * Code based based on sharer.js 
 */
! function(t, e) {
    "use strict";
    var r = function(t) {
        this.elem = t
    };
    r.init = function() {
        var t, a = e.querySelectorAll(".sharer"),
            i = a.length;
        for (t = 0; t < i; t++) a[t].addEventListener("click", r.add)
    }, r.add = function(t) {
        var e = t.currentTarget || t.srcElement;
        new r(e).share()
    }, r.prototype = {
        constructor: r,
        getValue: function(t, e) {
            e = void 0 === e ? "" : e;
            var r = this.elem.getAttribute("data-" + t);
            return void 0 === r || null === r ? e : r
        },
        share: function() {
            var t = this.getValue("sharer").toLowerCase(),
                e = {
                    facebook: {
                        shareUrl: "https://www.facebook.com/sharer/sharer.php",
                        params: {
                            u: this.getValue("url")
                        }
                    },
                    twitter: {
                        shareUrl: "https://twitter.com/intent/tweet/",
                        params: {
                            text: this.getValue("title"),
                            url: this.getValue("url"),
                            via: this.getValue("via")
                        }
                    },
                    email: {
                        shareUrl: "mailto:",
                        params: {
                            subject: this.getValue("subject"),
                            body: this.getValue("url")
                        },
                        isLink: !0
                    },
                    whatsapp: {
                        shareUrl: "https://api.whatsapp.com/send",
                        params: {
                            text: this.getValue("title") + " " + this.getValue("url")
                        },
                        isLink: !0
                    },
                    pinterest: {
                        shareUrl: "https://www.pinterest.com/pin/create/button/",
                        params: {
                            url: this.getValue("url"),
                            media: this.getValue("image"),
                            description: this.getValue("description")
                        }
                    },
                    tumblr: {
                        shareUrl: "http://tumblr.com/widgets/share/tool",
                        params: {
                            canonicalUrl: this.getValue("url"),
                            content: this.getValue("url"),
                            posttype: "link",
                            title: this.getValue("title")
                        }
                    },
                    linkedin: {
                        shareUrl: "http://www.linkedin.com/shareArticle",
                        params: {
                            mini: "true",
                            url: this.getValue("url"),
                            title: this.getValue("title")
                        }
                    },
                } [t];
            return e && (e.width = this.getValue("width"), e.height = this.getValue("height")), void 0 !== e && this.urlSharer(e)
        },
        urlSharer: function(e) {
            var r, a = e.params || {},
                i = Object.keys(a),
                s = i.length > 0 ? "?" : "";
            for (r = 0; r < i.length; r++) "?" !== s && (s += "&"), a[i[r]] && (s += i[r] + "=" + encodeURIComponent(a[i[r]]));
            if (e.shareUrl += s, e.isLink) t.location.href = e.shareUrl;
            else {
                var l = e.width || 600,
                    h = e.height || 480,
                    n = t.innerWidth / 2 - l / 2 + t.screenX,
                    u = "scrollbars=no, width=" + l + ", height=" + h + ", top=" + (t.innerHeight / 2 - h / 2 + t.screenY) + ", left=" + n,
                    o = t.open(e.shareUrl, "", u);
                t.focus && o.focus()
            }
        }
    }, "complete" === e.readyState || "loading" !== e.readyState ? r.init() : e.addEventListener("DOMContentLoaded", r.init), t.addEventListener("page:load", r.init), t.Sharer = r
}(window, document);