<h4><?php $text = 'Widget Options'; esc_html_e( $text ); ?></h4>

<p><label for="<?php echo $field_ids[ 'title' ]; ?>"><?php $text = 'Block Title'; esc_html_e( $text ); ?></label>
<input id="<?php echo $field_ids[ 'title' ]; ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" placeholder="<?php $text = 'Hello!'; esc_html_e( $text ); ?>" /></p>


<p><label for="<?php echo $field_ids[ 'subtitle' ]; ?>"><?php $text = 'Sub Title'; esc_html_e( $text ); ?></label>
<input id="<?php echo $field_ids[ 'subtitle' ]; ?>" name="<?php echo $this->get_field_name( 'subtitle' ); ?>" type="text" value="<?php echo esc_attr( $subtitle ); ?>" placeholder="<?php $text = 'Welcome to my blog'; esc_html_e( $text ); ?>" /></p>


<p><label for="<?php echo $field_ids[ 'text_desc' ]; ?>"><?php $text = 'Text Description'; esc_html_e( $text ); ?></label><br />
<textarea id="<?php echo $field_ids[ 'text_desc' ]; ?>" name="<?php echo $this->get_field_name( 'text_desc' ); ?>" rows="7" style="width:100%;" placeholder="<?php $text = 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.'; esc_html_e( $text ); ?>"><?php echo esc_attr( $text_desc ); ?></textarea></p>


<p><label for="<?php echo $field_ids[ 'img_url' ]; ?>"><?php $text = 'Image URL (150px * 150px)'; esc_html_e( $text ); ?></label>
<input id="<?php echo $field_ids[ 'img_url' ]; ?>" name="<?php echo $this->get_field_name( 'img_url' ); ?>" type="text" value="<?php echo esc_attr( $img_url ); ?>" placeholder="<?php $text = 'https://'; esc_html_e( $text ); ?>" /></p>

<?php
if( $show_button == 'on' ) {
	$checkbox_status = 'checked';
}else{
	$checkbox_status = '';
}
?>
<p><input class="checkbox" type="checkbox" <?php echo $checkbox_status; ?> id="<?php echo $field_ids[ 'show_button' ]; ?>" name="<?php echo $this->get_field_name( 'show_button' ); ?>" />
<label for="<?php echo $field_ids[ 'show_button' ]; ?>"><?php $text = 'Show Button'; esc_html_e( $text ); ?></label><br />

<label for="<?php echo $field_ids[ 'button_text' ]; ?>"><?php $text = 'Button Text'; esc_html_e( $text ); ?></label>
<input id="<?php echo $field_ids[ 'button_text' ]; ?>" name="<?php echo $this->get_field_name( 'button_text' ); ?>" type="text" value="<?php echo esc_attr( $button_text ); ?>" placeholder="<?php $text = 'Button text'; esc_html_e( $text ); ?>" /></p>

<p><label for="<?php echo $field_ids[ 'button_url' ]; ?>"><?php $text = 'Button URL'; esc_html_e( $text ); ?></label>
<input id="<?php echo $field_ids[ 'button_url' ]; ?>" name="<?php echo $this->get_field_name( 'button_url' ); ?>" type="text" value="<?php echo esc_attr( $button_url ); ?>" placeholder="<?php $text = 'https://'; esc_html_e( $text ); ?>" /></p>