<h4><?php $text = 'Display Options'; esc_html_e( $text ); ?></h4>

<p><label for="<?php echo $field_ids[ 'title' ]; ?>"><?php $text = 'Block Title'; esc_html_e( $text ); ?></label>
<input class="widefat" id="<?php echo $field_ids[ 'title' ]; ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" placeholder="<?php $text = 'Recent Posts'; esc_html_e( $text ); ?>" /></p>

<p><label for="<?php echo $field_ids[ 'number_posts' ]; ?>"><?php $text = 'Number of posts to show:'; esc_html_e( $text ); ?></label>
<input id="<?php echo $field_ids[ 'number_posts' ]; ?>" name="<?php echo $this->get_field_name( 'number_posts' ); ?>" type="text" value="<?php echo $ints[ 'number_posts' ]; ?>" size="3" /></p>

<p><label for="<?php echo $field_ids[ 'orderby' ]; ?>"><?php esc_html_e( 'Order by', 'mnmld-themes' ); ?>:</label>
    <select id="<?php echo $field_ids[ 'orderby' ]; ?>" name="<?php echo $this->get_field_name( 'orderby' ); ?>">
        <option value="date" <?php selected( 'none', $option_values[ 'orderby' ] ); ?>><?php esc_html_e( 'Date (default)', 'mnmld-themes' ); ?></option>
        <option value="title" <?php selected( 'title', $option_values[ 'orderby' ] ); ?>><?php esc_html_e( 'Title', 'mnmld-themes' ); ?></option>
        <option value="modified" <?php selected( 'modified', $option_values[ 'orderby' ] ); ?>><?php esc_html_e( 'Last modified date', 'mnmld-themes' ); ?></option>
        <option value="rand" <?php selected( 'rand', $option_values[ 'orderby' ] ); ?>><?php esc_html_e( 'Random', 'mnmld-themes' ); ?></option>
    </select>
</p>

<p><label for="<?php echo $field_ids[ 'order' ]; ?>"><?php esc_html_e( 'Sort', 'mnmld-themes' ); ?>:</label>
    <select id="<?php echo $field_ids[ 'order' ]; ?>" name="<?php echo $this->get_field_name( 'order' ); ?>">
        <option value="desc" <?php selected( 'desc', $option_values[ 'order' ] ); ?>><?php esc_html_e( 'Descending (default)', 'mnmld-themes' ); ?></option>
        <option value="asc" <?php selected( 'asc', $option_values[ 'order' ] ); ?>><?php esc_html_e( 'Ascending', 'mnmld-themes' ); ?></option>
    </select>
</p>

<h4><?php $text = 'Filter by category'; esc_html_e( $text ); ?></h4>

<p><label for="<?php echo $field_ids[ 'category_ids' ];?>"><?php esc_html_e( 'Show posts of selected categories only?', 'recent-posts-widget-with-thumbnails' ); ?></label><br />
<?php echo $selection_element; ?><br />
<em><?php printf( esc_html__( 'Click on the categories with pressed CTRL key to select multiple categories. If &#8220;%s&#8221; was selected then other selections will be ignored.', 'recent-posts-widget-with-thumbnails' ), $label_all_cats ); ?></em></p>

