<?php

if( $img_url == '' ){
	$avatar = plugin_dir_url( __FILE__ ) . "placeholder-thumb.png";
}else{
	$avatar = $img_url;
}

if( $button_text == '' ){
	$cta = 'More About Me &rarr;';
}else{
	$cta = $button_text;
}

?>
<?php echo $args[ 'before_widget' ] . "\n"; ?>

<section class="widget-aboutme">

	<div class="bg-container">
	
		<img src="<?php echo $avatar; ?>" width="150" height="150" alt="<?php echo $title; ?>" title="<?php echo $title; ?>" loading="lazy" />

		<h3><?php echo $title; ?></h3>

		<p class="subtitle"><?php echo $subtitle; ?></p>

		<p class="text-desc"><?php echo $text_desc; ?></p>
		
	<?php
	if( $show_button == 'on' ){ ?>	
		<a class="link" href="<?php echo esc_url( $button_url ); ?>"><?php echo $cta; ?></a>
	<?php
	}
	?>	
	</div>
	
</section>
<?php echo $args[ 'after_widget' ]; ?>



