<?php
/**
 *	Analytics Code
 *	
 * 	Registered metaboxes in post page.
 *
 * Post Header Box
 *
 * 	@version 1.0.0
 *	@since	 1.0.0
 *	@package mnmld-themes
 *	@author	 mnmld
 *
 **/

//Exit if file accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

// Analytics toggle
$analytics_toggle = get_option( 'mnmld_themes_analytics_toggle' );

// Analytics code
$analytics_code = get_option( 'mnmld_themes_analytics_code' );

function mnmld_analytics_code() {
	
	$_user = wp_get_current_user();
	
	//disable if logged on
	if(empty($_user->roles)){
		
		echo get_option( 'mnmld_themes_analytics_code' )."\n\n";
		
	}
	
}

if( $analytics_toggle == 'on' && ! empty( $analytics_code ) ){
	
	add_action( 'wp_head', 'mnmld_analytics_code', 999 );
}

	