<?php
/**
 * Simple Contact Form
 *
 * @since 1.0
 */


function mnmld_contact_form(){

	$form_visibility = '';
	
	if ( isset( $_POST['MNMLD_Contact_Form'] ) && ! empty( $_POST['MNMLD_Contact_Form'] ) ) {
		
		$error = 1;

		$form_message = '';
		
		if ( $_POST['msg_name'] = '' ) {
			$error = 0;
		}
		
		$mail = $_POST['msg_email'];
	 
		if ( ! filter_var($_POST['msg_email'], FILTER_VALIDATE_EMAIL ) ) {
			
		}
		
		if ( $_POST['msg_subject'] == ' ') {
			$error = 0;
		}
		
		if ( $_POST['msg_text'] == ' ') {
			$error = 0;
		}
		
		if ( $error == 1 ) {
			
			$to = get_option( 'admin_email' );
		 
			$msg_name = $_POST['msg_name'];
			$headers = 'From: '. $mail . "\r\n" .
					'Reply-To: ' . $mail . "\r\n";
			$sbj = $_POST['msg_subject'];
			$msg = $_POST['msg_text'];
		 
			
			if ( wp_mail( $to, $sbj, strip_tags( $msg ), $headers ) ) {
				
				$form_message = get_option( 'mnmld_themes_contact_success', 'Your message has been sent! <br />Thank you for your message.' );
				$box_class = "success";
				$form_visibility = 'style="display:none;"';
				
			}else{
				
				$form_message = "Please fill required fields.";
				$box_class = "caution";
				
			}
		}
    }
	
					//output message
					if( isset( $form_message ) && ! empty( $form_message ) ){
						
						return '
						<div class="text-box text-box-' . esc_attr( $box_class ) . '">
							' . wp_kses_post( $form_message ) . '
						</div>';
					
						if($box_class == 'success'){
					
						return '
						<div class="form-field">
							<a class="btn btn-bg" href="' . esc_url( home_url() ) . '" rel="home" itemprop="url">' . __( 'Back to Homepage', 'mnmld-themes' ) . ' </a>
						</div>';
					
							
						}
					} 
				
					return '
						<!-- MNMLD Contact Form -->

						<form name="MNMLDForm" id="MNMLDForm" class="template-contact" method="post" action="' . get_the_permalink() . '" autocomplete="on" '. $form_visibility . '>
							
							<div class="form-field">
								<label for="msg_name">' . __('Name','mnmld-themes') . '</label>
								<input type="text" id="msg_name" name="msg_name" placeholder="Your Name" required>
							</div>
							
							<div class="form-field">
								<label for="msg_email">' . __('Email','mnmld-themes') . '</label>
								<input type="email" id="msg_email" name="msg_email" placeholder="Your email" required>
							</div>
							
							<div class="form-field">
								<label for="msg_subject">' . __('Subject','mnmld-themes') . '</label>
								<input type="text" id="msg_subject" name="msg_subject" placeholder="Subject" required>
							</div>
							
							<div class="form-field">
								<label for="msg_text">' . __('Message','mnmld-themes') . '</label>
								<textarea id="msg_text" name="msg_text" placeholder="Your Message.." rows="8" required></textarea>
							</div>
							
							<div class="form-field">
								<input type="submit" name="MNMLD_Contact_Form" value="' . __('Send Message','mnmld-themes') . '">
							</div>
							
						</form>';
						

}

// Contact form - Add shortcode
add_shortcode('mnmld-contact', 'mnmld_contact_form');


/** 
 * Google Maps Embed
*/
function mnmld_maps() {
	
	$map_code = get_option( 'mnmld_themes_contact_map_code' );
	
	if ( $map_code == '' ) {
		
		// return placeholder
		return '
		<div class="mapouter">
			<div class="gmap_canvas">
				<iframe width="600" height="400" id="gmap_canvas" src="https://maps.google.com/maps?q=2880%20Broadway,%20New%20York&t=&z=13&ie=UTF8&iwloc=&output=embed"></iframe>
			</div>
		</div>
		';
	}else{

		return get_option( 'mnmld_themes_contact_map_code' )."\n\n";
		
	}
	
}

// Maps - Add shortcode
add_shortcode('mnmld-map', 'mnmld_maps');
