<?php
/**
 *	Sidebar Posts Widget
 *
 * 	@version 1.0.1
 *	@since	 1.0.0
 *	@package mnmld-themes
 *	@author	 mnmld
 *
 **/
?>
<?php echo $args[ 'before_widget' ] . "\n"; ?>

<section class="widget-sidebar-posts">

<?php 
echo $args[ 'before_title' ] . $title . $args[ 'after_title' ] . "\n"; 

if ($r->have_posts()) {
?>
	<ul>
	<?php
	while ( $r->have_posts() ) {
		
		$r->the_post();

		if( has_post_thumbnail() && get_the_post_thumbnail() ){
			
			$img_url_array = wp_get_attachment_image_src(get_post_thumbnail_id(), array('110','110'), true);
			$img_url = $img_url_array[0]; 
			
		}else{ 
		
			$img_url = plugin_dir_url( __FILE__ ) . "placeholder-thumb.png";
			
		}
		
		if(get_the_title() == ''){
			$post_title = __( '(untitled)', 'mnmld-themes');
		}else{
			$post_title = get_the_title();
		}
		
		$category = get_the_category(); 
		?>
		<li>
			<a href="<?php echo get_permalink(); ?>">
				<img src="<?php echo esc_url( $img_url ); ?>" alt="<?php echo get_the_title(); ?>" title="<?php echo esc_html( get_the_title() ); ?>"/>
				<p><span class="cat-side letter-spacing uppercase"><?php echo esc_html( $category[0]->cat_name ); ?></span><?php echo esc_html( $post_title ); ?></p>
				
			</a>
		</li>
	<?php
	}
	?>
	</ul>
	<?php
	wp_reset_postdata();
} else {
	
	esc_html_e( 'No Posts to show', 'mnmld-themes' );
	
}

?>
</section>
<?php echo $args[ 'after_widget' ]; ?>



